APIAPI referenceStores
List Stores
Stores of the key's organization (only store_ids for restricted keys).
GET/v1/storesScope stores:read
- Scope:
stores:read(scopes and plan access) - Rate limit: 600 requests/min per API key (test keys: 60/min) (rate limits)
Stores of the key's organization (only `store_ids` for restricted keys).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| limit | query | integer | Page size |
| cursor | query | string | null | Cursor from the previous page |
Example request
curl -X GET "https://api.shopassist.coec.dk/v1/stores" \
-H "Authorization: Bearer $SHOPASSIST_API_KEY"Response 200 (Page_StorePublic_)
| Field | Type | Description |
|---|---|---|
| datarequired | StorePublic[] | |
| data[].capabilitiesrequired | object | stores.capabilities (02 §17) |
| data[].catalog_localerequired | string | 2–35 characters · pattern `^[A-Za-z]{2,3}(-[A-Za-z0-9]{2,8})*$` |
| data[].created_atrequired | string | format date-time |
| data[].currencyrequired | string | pattern `^[A-Z]{3}$` |
| data[].idrequired | string | pattern `^sto_[0-9a-hjkmnp-tv-z]{26}$` |
| data[].namerequired | string | |
| data[].platformrequired | "shopify" | "magento2" | "woocommerce" | "prestashop" | "generic" | |
| data[].primary_domainrequired | string | null | |
| data[].statusrequired | string (enum) | one of pending_connect, connecting, syncing, active, paused, reconnect_required, disconnected, uninstalled, suspended |
| data[].timezonerequired | string | |
| has_morerequired | boolean | |
| next_cursorrequired | string | null | Opaque cursor for the next page; null on the last page |
{
"data": [
{
"capabilities": {},
"catalog_locale": "da-DK",
"created_at": "2026-09-28T10:15:30.123Z",
"currency": "DKK",
"id": "sto_01j8000000e008000000000000",
"name": "string",
"platform": "shopify",
"primary_domain": "string",
"status": "pending_connect",
"timezone": "string"
}
],
"has_more": true,
"next_cursor": "string"
}Errors
Every error uses the error envelope; the code field is stable.
400Bad Request401Unauthorized403Forbidden422Unprocessable Content429Too Many Requests
Last updated on